[API Reference](../README.md) > [ApprovalEventResult](../interfaces/ApprovalEventResult.md)



# Interface: ApprovalEventResult


## Properties
<a id="owner"></a>

###  owner

**●  owner**:  *[Address](../#Address)* 

*Defined in [wrappers/standardToken.ts:255](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/standardToken.ts#L255)*



The account from which the tokens originated. indexed




___

<a id="spender"></a>

###  spender

**●  spender**:  *[Address](../#Address)* 

*Defined in [wrappers/standardToken.ts:260](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/standardToken.ts#L260)*



The account that was approved-to and initiated the transfer on behalf of owner. indexed




___

<a id="value"></a>

###  value

**●  value**:  *`BigNumber`* 

*Defined in [wrappers/standardToken.ts:267](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/standardToken.ts#L267)*



When the event is emitted by `approve`, then this is the amount that was requested for approval from spender by owner by the specific function call. When the event is emitted by `increaseApproval` or `decreaseApproval`, then this is the current net amount approved to transfer from spender by owner.




___


